Skip to main content
GET
/
list-games
List games
curl --request GET \
  --url https://api-v2.polyrouter.io/list-games \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api-v2.polyrouter.io/list-games"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-v2.polyrouter.io/list-games', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api-v2.polyrouter.io/list-games"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "data": {
    "games": [
      {
        "id": "KCvSF20250209@NFL",
        "title": "Chiefs vs 49ers",
        "teams": [
          "Kansas City Chiefs",
          "San Francisco 49ers"
        ],
        "sport": "Football",
        "league": "NFL",
        "description": "Super Bowl LVIII",
        "scheduled_at": "2025-02-09T23:30:00.000Z",
        "status": "not_started",
        "category": "sports",
        "tags": [
          "nfl",
          "super-bowl",
          "championship"
        ],
        "metadata": {},
        "image_url": "<string>"
      }
    ],
    "pagination": {
      "total": 50,
      "limit": 50,
      "has_more": true,
      "next_cursor": "eyJvZmZzZXQiOjUwfQ"
    }
  },
  "meta": {
    "platforms_queried": [
      "polymarket",
      "kalshi",
      "prophetx"
    ],
    "request_time": 250,
    "data_freshness": "2025-01-01T00:00:00.000Z",
    "platform_errors": {}
  }
}
{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Query Parameters

league
enum<string>
required

League to query (required)

Available options:
nfl,
nba,
nhl,
mlb

Response

List of games

data
object
required
meta
object
required